import request from '@/utils/request'

// 查询商品规格列表
export function listRule(query) {
  return request({
    url: '/product/rule/list',
    method: 'get',
    params: query
  })
}

// 查询商品规格详细
export function getRule(id) {
  return request({
    url: '/product/rule/' + id,
    method: 'get'
  })
}

// 新增商品规格
export function addRule(data) {
  return request({
    url: '/product/rule',
    method: 'post',
    data: data
  })
}

// 修改商品规格
export function updateRule(data) {
  return request({
    url: '/product/rule/'+data.id,
    method: 'put',
    data: data
  })
}

// 删除商品规格
export function delRule(id) {
  return request({
    url: '/product/rule/' + id,
    method: 'delete'
  })
}

// 修改商品规格
export function updateRuleInfo(id,status) {
  return request({
    url: '/product/rule/'+id+'/'+status,
    method: 'put',
  })
}
